<?php
/**
*
* @author Stoker 4.0
* @package Top Stats
* @version $Id: acp_topstats.php, v1.0.0 20011/06/11 10:25:52 Exp $
* @copyright (c) 2011 Stoker 4.0 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/
/**
/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_topstats
{
	var $u_action;

	function main($id, $mode)
	{
		global $db, $user, $auth, $template, $cache;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		$user->add_lang('acp/common');
		$this->tpl_name = 'acp_topstats';
		$this->page_title = $user->lang['TOP_STATS'];
		add_form_key('acp_topstats');
		
		$submit = (isset($_POST['submit'])) ? true : false;
		if ($submit)
		{
			if (!check_form_key('acp_topstats'))
			{
				trigger_error('FORM_INVALID');
			}
			set_config('tsrat_enable', request_var('tsrat_enable', 1));
			set_config('tsmvt_enable', request_var('tsmvt_enable', 1));
			set_config('tsmrt_enable', request_var('tsmrt_enable', 1));
			set_config('tsrat_number', request_var('tsrat_number', 5));
			set_config('tsmvt_number', request_var('tsmvt_number', 5));
			set_config('tsmrt_number', request_var('tsmrt_number', 5));
			set_config('ts_jsscroll', request_var('ts_jsscroll', 0));

			trigger_error($user->lang['TOPSTATS_SAVED'] . adm_back_link($this->u_action));
		}
		$template->assign_vars(array(
			'TS_VERSION'			=> $config['top_stats_version'],
			'TSRAT_ENABLE'			=> $config['tsrat_enable'],
			'TSMVT_ENABLE'			=> $config['tsmvt_enable'],
			'TSMRT_ENABLE'			=> $config['tsmrt_enable'],
			'TSRAT_NUMBER'			=> $config['tsrat_number'],
			'TSMVT_NUMBER'			=> $config['tsmvt_number'],
			'TSMRT_NUMBER'			=> $config['tsmrt_number'],
			'TS_JSSCROLL'			=> $config['ts_jsscroll'],
			'U_ACTION'				=> $this->u_action,
		));
	}
}

?>